# Amp CLI

[Amp](https://ampcode.com) is an agentic coding tool, in research preview from Sourcegraph. This is the CLI for Amp. You can also use [Amp in VS Code](https://marketplace.visualstudio.com/items?itemName=sourcegraph.amp).

## Usage

```bash
npm install -g @sourcegraph/amp
# or
yarn global add @sourcegraph/amp
# or
pnpm add -g @sourcegraph/amp
```

Then run:

```bash
amp
```

See [**Amp Owner's Manual**](https://ampcode.com/manual) for more information about Amp.

## Authentication

The first time you run `amp`, you'll authenticate via [ampcode.com](https://ampcode.com). Your threads will be synced and shareable, and you don't need to provide your own API keys for LLM inference.

If you can't sign in with the web-based flow, you may also use an Amp API key as an environment variable:

1. Go to [ampcode.com/settings](https://ampcode.com/settings) to get your Amp API key.
2. Set it as an environment variable:

```bash
export AMP_API_KEY=your_amp_api_key_here
```

## Configuration

Settings are read from `~/.config/amp/settings.json` (or `$XDG_CONFIG_HOME/amp/settings.json` if defined). This is a JSON file that uses the same properties as in the [Amp VS Code extension](https://marketplace.visualstudio.com/items?itemName=sourcegraph.amp). See the [Amp Owner's Manual](https://ampcode.com/manual) for more information.

API keys are read from `~/.local/share/amp/secrets.json`
