#!/usr/bin/env node
import { p, aC as m, aD as F, aE as v, aF as _, aG as b } from "./console-RPzEsLY0.js";
import { recordEdit as x } from "./undo_edit.node-CCYYuJ4U.js";
class E {
  #e = !1;
  #t = [];
  /**
   * Acquires the lock. If the lock is already held, waits until it is released.
   * @returns A promise that resolves when the lock is acquired.
   */
  async acquire() {
    return new Promise((t) => {
      this.#e ? this.#t.push(t) : (this.#e = !0, t());
    });
  }
  /**
   * Releases the lock. If there are waiters in the queue, the next one acquires the lock.
   * Otherwise, the lock becomes free.
   */
  release() {
    this.#t.length > 0 ? this.#t.shift()?.() : this.#e = !1;
  }
}
const l = new E(), k = ({ args: e }, { dir: t, dirs: d, threadID: u, trackFileChange: h, filesystem: i }) => p(async (a) => {
  await l.acquire();
  try {
    y(e), m(t);
    const r = await F(i, d, e.path, a);
    if (!i.exclusiveWriter) {
      const s = v(r, u), c = await i.getMtime(r);
      if (s && c && s !== c)
        return {
          status: "error",
          progress: {},
          error: {
            message: `The file '${e.path}' has been modified since you last read it. Please use read_file to view the current version before making edits.`
          }
        };
    }
    const n = await i.readFile(r, a), { modifiedContent: o, formattedDiff: f, lineRange: w } = await _(
      e.path,
      n,
      e.old_str,
      e.new_str
    );
    return await x(e.path, n, o), await h(r, async (s) => {
      await i.writeFile(s, o, a);
    }), {
      status: "done",
      progress: {},
      result: {
        diff: f,
        lineRange: w
      },
      files: [e.path]
    };
  } finally {
    l.release();
  }
});
function y(e) {
  if (e = b.parse(e), e.old_str === e.new_str)
    throw new Error("old_str and new_str must be different from each other.");
}
export {
  k as nodeEditFileTool
};
