#!/usr/bin/env node
import E from "node:crypto";
import d, { writeFile as D } from "node:fs/promises";
import g from "node:os";
import a from "node:path";
import { C as p, p as C, aC as F, aL as b, aM as _ } from "./console-RPzEsLY0.js";
class v {
  MAX_TRACKED_EDITS = 50;
  editQueue = [];
  async recordEdit(i, e, n) {
    try {
      const o = await this.storeEdit(i, e, n), s = this.editQueue.indexOf(o);
      if (s >= 0 && this.editQueue.splice(s, 1), this.editQueue.push(o), this.editQueue.length > this.MAX_TRACKED_EDITS) {
        const r = this.editQueue.shift();
        r && this.deleteEdit(r);
      }
    } catch (o) {
      p.error("Failed to record edit:", o);
    }
  }
  // Function to get and remove the most recent edit for a file
  async getLastEdit(i) {
    try {
      const e = await this.fetchEdit(i);
      if (!e)
        return;
      const n = this.editQueue.indexOf(e.id);
      return n >= 0 && this.editQueue.splice(n, 1), this.deleteEdit(e.id), { oldContent: e.oldContent, newContent: e.newContent };
    } catch (e) {
      p.error("Failed to get last edit:", e);
      return;
    }
  }
}
function x(t) {
  if (typeof t != "object" || t === null)
    throw new Error("args must be an object. received instead: `" + JSON.stringify(t) + "`");
  if (typeof t.path != "string")
    throw new Error(
      "path must be a string. received instead: `" + JSON.stringify(t.path) + "`"
    );
}
const A = ({ args: t }, { dir: i, threadID: e, trackFileChange: n }) => C(async (o) => {
  F(i), x(t);
  const s = a.resolve(i.fsPath, t.path), r = await I(t.path);
  if (!r)
    return {
      status: "error",
      progress: {},
      error: {
        message: `No edit history found for file '${t.path}'.`
      }
    };
  const u = b(r.newContent, r.oldContent, t.path), w = _(u);
  return await n(s, async (y) => {
    await D(y, r.oldContent, {
      encoding: "utf-8",
      signal: o
    });
  }), { status: "done", progress: {}, result: w };
});
class Q extends v {
  async storeEdit(i, e, n) {
    const o = m(i), s = await l(), r = a.join(s, o), u = { filePath: i, oldContent: e, newContent: n };
    return await d.writeFile(r, JSON.stringify(u), "utf-8"), o;
  }
  async fetchEdit(i) {
    const e = m(i), n = await l(), o = a.join(n, e);
    try {
      await d.access(o);
    } catch {
      return;
    }
    const s = await d.readFile(o, "utf-8"), r = JSON.parse(s);
    return {
      id: e,
      oldContent: r.oldContent,
      newContent: r.newContent
    };
  }
  async deleteEdit(i) {
    const e = await l(), n = a.join(e, i);
    await d.unlink(n).catch(() => {
    });
  }
}
const c = new Q(), N = c.recordEdit.bind(c), I = c.getLastEdit.bind(c);
let h = "", f = null;
async function l() {
  return h || (f || (f = d.mkdtemp(a.join(g.tmpdir(), "amp-edits-")).then((t) => (h = t, t)).catch((t) => {
    throw p.error("Failed to create edit history directory:", t), t;
  })), f);
}
function m(t) {
  return `${E.createHash("sha256").update(t).digest("hex").slice(0, 16)}-${a.basename(t)}`;
}
export {
  I as getLastEdit,
  A as nodeUndoEditTool,
  N as recordEdit
};
